List an SMS template version's languages
GET
/v1/sms/templates/{template_ref}/versions/{version_id}/languages
const { data } = await bird.smsTemplates.versions.languages.list(
"bird_otp_verification",
"smv_01ky4x8e4genzb7way45txfkm1",
);
for (const language of data) console.log(language.language, language.revision);languages = client.sms_templates.versions.languages.list(
"bird_otp_verification", "smv_01ky4x8e4genzb7way45txfkm1"
)
for language in languages.data:
print(language.language, language.revision)languages, err := client.SmsTemplates.Versions.Languages.List(context.Background(), "bird_otp_verification", "smv_01ky4x8e4genzb7way45txfkm1")
if err != nil {
log.Fatal(err)
}
for _, language := range languages.Data {
fmt.Println(language.Language, *language.Revision)
}$languages = $bird->smsTemplates->versions->languages->list(
'bird_otp_verification',
'smv_01ky4x8e4genzb7way45txfkm1',
);
foreach ($languages->getData() ?? [] as $language) {
echo $language->getLanguage(), ' ', $language->getRevision(), "\n";
}bird sms templates versions languages list <template-ref> <version-id>curl -X GET "https://us1.platform.bird.com/v1/sms/templates/{template_ref}/versions/{version_id}/languages" \
-H "Authorization: Bearer $TOKEN"Odpowiedź200
{
"data": [
{
"language": "en",
"revision": 1,
"content_hash": "sha256:3d948846f5f773fb7bed8ab81b57f3d0ff2cbff24cb549718f4d389f1ab0300a",
"updated_at": "2026-09-10T09:00:00Z"
}
]
}
Returns the languages a version holds, ordered by canonical language tag, without their text. Each summary includes the revision and content hash needed to detect changes. A version holds at most 25 languages.
Parametry
template_ref
string
The template's ID (smt_…) or slug.
version_id
string
The version whose languages to list.
Treść odpowiedzi
data
array of object
wymagane
The version's languages ordered by canonical tag, without text.
Pokaż atrybuty podrzędne
data.language
string
wymagane
The language in canonical BCP-47 form.
data.revision
integer
wymagane
This language's revision counter.
data.content_hash
string
wymagane
A fingerprint of SMS template text, prefixed with its algorithm. Compare it within this API version to identify the exact source without transferring it.
data.updated_at
nullable string
wymagane
When this language was last saved. Null for a built-in template.
Powiązane zasoby
Kontynuuj z dokumentacją, przewodnikami i przykładami dotyczącymi tego tematu. Zasoby są w języku angielskim.
Zrozum koncepcjęShould I use a Bird SDK or call the API directly?Podążaj ścieżką naukiBuild your first integrationPrzewodnik wdrożeniowySend your first email
Uzyskaj brief wdrożeniowy